/*  Promile Qt - calculates amount of alcohol in your body
  *  Copyright (C) 2008  Marcin Dombrowski
  *
  *  This program is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation, either version 3 of the License, or
  *  (at your option) any later version.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "promile-qt.h"
#include <iostream>

extern Form ui;
extern int nr_napoju;
Form1::Form1(QWidget * parent, Qt::WFlags f):QDialog(parent, f)
{
 ui.setupUi(this);
 QTextCodec::setCodecForTr (QTextCodec::codecForName ("ISO8859-2"));

 connect(ui.pushButton_dodaj, SIGNAL(clicked()), this, SLOT(dodaj()));
 connect(ui.pushButton_oblicz, SIGNAL(clicked()), this, SLOT(oblicz()));
 connect(ui.pushButton_kasuj, SIGNAL(clicked()), this, SLOT(kasuj()));
}



void Form1::dodaj()
{
float cz_wchl = ui.spinBox_cz_wchl_godz->value() + (ui.spinBox_cz_wchl_min->value())/60.0 ;
float cz_rozp = ui.spinBox_czas_godz->value() + (ui.spinBox_czas_min->value())/60.0;
dodaj_napoj(ui.spinBox_ilosc->value(),cz_rozp,ui.doubleSpinBox_zawartosc->value(),cz_wchl, \
ui.spinBox_dl_pic->value());

// zwiększenie czasu rozpoczecia picia nastepnego napoju o czas picia poprzedniego
int cz_rozp_min = int (cz_rozp*60 + ui.spinBox_dl_pic->value());
int cz_rozp_godz = int (cz_rozp_min/60);
cz_rozp_min = cz_rozp_min - 60*cz_rozp_godz;
ui.spinBox_czas_godz->setValue(cz_rozp_godz);
ui.spinBox_czas_min->setValue(cz_rozp_min);
};
//********************************************************************************
void Form1::kasuj()
{
kasuj_napoje();
ui.textEdit->clear();
ui.spinBox_czas_godz->setValue(0);
ui.spinBox_czas_min->setValue(0);
}

void Form1::oblicz()
{	
	if (nr_napoju==0)
	{
	dodaj();
	}
	char plec;
	if (ui.radioButton_m->isChecked()) {plec='m';}
	else plec='k';
	glowna(plec, ui.spinBox_waga->value(),ui.spinBox_co_ile->value(),ui.doubleSpinBox_g_na_godz->value());
}
